[mythtv-users] How to patch LIRC for HD-PVR150

Jarod Wilson jarod at wilsonet.com
Tue Oct 26 03:32:17 UTC 2010

On Oct 25, 2010, at 8:27 PM, Jeff Cranmer wrote:
>>> The version of lirc I have installed at the moment is lirc-0.8.7_pre1,
>>> with LIRC_DEVICES="hauppauge" and every USE flag but "debug" turned on
>> No clue what the LIRC_DEVICES="hauppauge" part actually does, or why
>> your distro is apparently still providing a pre1 snapshot, given that
>> pre2, pre3 and final have all since shipped too... But at least the
>> version issue should be neither here nor there in this case.
> Hmm - the gentoo guys must be a little behind with their releases.  The
> latest one in the portage tree is 0.8.7-pre1
> http://www.gentoo-portage.com/app-misc/lirc

Yeah, just a wee bit behind, pre1 was released in May, pre2 in July, pre3 in August and the actual release in early September. And 0.9.0-pre1 will be out RSN.

> OK.  The lirc zilog kernel module is probably at least part of the
> problem.  I may not have that kernel option turned on.  I'll take a look
> for that.  Do you know which section of the kernel menuconfig that I
> would find it in?

Its under drivers/staging/lirc/ in 2.6.36.

> I'm always a bit wary of search and directly editing
> the .config file, since that may be a good way to end up with an
> incompatible set of kernel config options.

The kernel config system is generally smarter than that, and will sort it out.

> So, if lirc 0.8.7 won't work with the kernel bits, what is the best
> solution?  Is downgrading to 0.8.6-r3 an option?

Nope, need to go the other direction. lirc 0.9.0-pre1 will be out Real Soon Now. (Fedora 14 and Ubuntu 10.10 both ship a patched lirc 0.8.7 that also works).

Jarod Wilson
jarod at wilsonet.com

More information about the mythtv-users mailing list